#ifndef _ROAMINFO_H
#define _ROAMINFO_H

#define MAXQUERY 10
#define STRING255 256
#define STRING128 129
#define VERSION "0.01"
#define ROAMABOUT "enterprises.36.2.15.3.9.1"
#define ROAMABOUTLENGTH 24

int main(int argc, char *argv[]);
void check_hardware();
void show_system();
void show_hardware();
void show_stats();
void usage(char *s);
void show_license(char *s);

/* SNMP system */
#define SNMP_sysDescr_0		".1.3.6.1.2.1.1.1.0"
#define SNMP_sysObjectID_0	".1.3.6.1.2.1.1.2.0"
#define SNMP_sysUpTime_0	".1.3.6.1.2.1.1.3.0"
#define SNMP_sysContact_0	".1.3.6.1.2.1.1.4.0"
#define SNMP_sysName_0		".1.3.6.1.2.1.1.5.0"
#define SNMP_sysLocation_0	".1.3.6.1.2.1.1.6.0"
#define SNMP_sysServices_0	".1.3.6.1.2.1.1.7.0"

/* SNMP interfaces */
#define SNMP_ifPhysAddress_1	".1.3.6.1.2.1.2.2.1.6.1"
#define SNMP_ifPhysAddress_2	".1.3.6.1.2.1.2.2.1.6.2"
#define SNMP_ifInOctets_1       ".1.3.6.1.2.1.2.2.1.10.1"
#define SNMP_ifInOctets_2       ".1.3.6.1.2.1.2.2.1.10.2"
#define SNMP_ifOutOctets_1      ".1.3.6.1.2.1.2.2.1.16.1"
#define SNMP_ifOutOctets_2      ".1.3.6.1.2.1.2.2.1.16.2"
#define SNMP_ifInErrors_1       ".1.3.6.1.2.1.2.2.1.14.1"
#define SNMP_ifInErrors_2       ".1.3.6.1.2.1.2.2.1.14.2"
#define SNMP_ifOutErrors_1      ".1.3.6.1.2.1.2.2.1.20.1"
#define SNMP_ifOutErrors_2      ".1.3.6.1.2.1.2.2.1.20.2"

/* SNMP misc */
#define SNMP_PC_Card_Type       ".1.2.850.10036.4.1.1.2.1"   /* invalid? */
#define SNMP_PC_Card_Versions   ".1.3.6.1.4.1.36.2.18.35.15.3.1.0"
#define SNMP_AP_Memory          ".1.3.6.1.4.1.36.2.18.35.5.0"

#endif
